.jsb-vital {
	background-color: #FFE9E9;
}

.jsb_resize {
	min-height: 24px;
	resize: vertical;
	-webkit-transition: height 0.15s;
	-moz-transition: height 0.15s;
	transition: height 0.15s;
    transition: height 0.15s ease 0s;
}

.jsb-swap-edit {
	display: none;
}

.jsb-resize {
    overflow-x: hidden;
    overflow-y: auto;
	min-height: 24px;
	resize: vertical;
	-webkit-transition: height 0.15s;
	-moz-transition: height 0.15s;
	transition: height 0.15s;
    transition: height 0.15s ease 0s;
}

.swap-wrap-radio {
	display: block;
}

.swap-wrap-textarea > .jsb-swap-edit > .jsb-swap-button {
    margin: 5px 0 auto auto;
    position: relative;
    z-index: 100;
}

.jsb-checkbox, .jsb-checkbox-hard {
	float: left;
	background-color: #eeeeee;
	border-radius: 5px;
	box-shadow: 0 0 2px #888 inset;
	height: 28px;
	width: 28px;
	margin: 1px 2%;
	overflow: hidden;
	cursor: pointer;
}

.jsb-checkbox-hard:hover {
	background-color: #fafafa;
	box-shadow: 0 0 2px #0092C2;
}

.jsb-checkbox-check {
    background-image: url('/ys-media/material/ic_check_48px.svg');
    background-position: center center;
    background-size: 24px 24px;
    background-repeat: no-repeat;
    background-color: #e7f8ff;
}

.jsb-checkbox-disabled {
	background-color: #eee !important;
	cursor: not-allowed;
}

.jsb-checkbox-disabled:hover {
	box-shadow: 0 0 2px #888 inset;
}

#jsb-message-block a, #jsb-message-block a:link, #jsb-message-block a:visited {
	color: #ffffff;
	text-decoration: none;
	font-size: 14px;
}

.jsb-keeponscreen {
	position: relative;
    top: 0px;
}

#jsb-message-block, .boostMessageBlock {
	background: rgba(255, 255, 255, 0.95);
	border-radius: 3px;
	box-shadow: 0 0 5px #888888;
	color: #555555;
	margin: 0 auto;
	padding: 10px 1%;
	position: fixed;
	/*top: 64px; // bbv - 2022.05.20 00:19:11 avoiding overlap*/
	top: 68px;
	display: none;
}

@media screen and (max-width: 1920px) {
	#jsb-message-block, .boostMessageBlock {
		left: 29%;
		width: 40%;
	}
}

@media screen and (max-width: 1366px) {
	#jsb-message-block, .boostMessageBlock {
		left: 19%;
		width: 60%;
		padding: 10px 1%;
	}
}

@media screen and (max-width: 480px) {
	#jsb-message-block, .boostMessageBlock {
		left: 9%;
		width: 80%;
	}
}

/* message success */
#jsb-message-block.mss, .boostMessageBlock.mss { color: #13B702; }
/* message error */
#jsb-message-block.mse, .boostMessageBlock.mse { color: #B70202; }
/* message neutral */
#jsb-message-block.msn, #jsb-message-block.msw, .boostMessageBlock.msn, .boostMessageBlock.msw {
    color: #E0AE03;
}

/* contract */
.bgTag {
	color: white;
	height: 16px;
	font-size: 10px;
	line-height: 16px;
	padding: 1px 4px;
	border-radius: 3px;
	width: auto;
	display: table;
	float: left;
	margin: 1px;
	opacity: 0.75;
}

.bgCalendarTitle, .bgCalendarDay {
	margin: 2px 1.1425%;
	text-align: center;
	background-color: #ffffff;
	width: 12%;
	padding: 10px 0px;
	border-radius: 18px;
	float: left;
	display: block;
	line-height: 14px;
	cursor: default;
}

.bgCalendarDayMargin {
	opacity: 0.5;
}

.bgCalendarDayMonth {
	color: #444444;
}

.bgCalendarDay:hover {
	cursor: default;
	background-color: rgba(12, 115, 231, 0.3);
}

.bgCalendarDayToday {
	cursor: default; /*cursor: pointer;*/
	background-color: rgba(12, 115, 231, 0.8);
	color: white;
}

.bg-calendar-nonworking {
	color: red;
}